个性化阅读
专注于IT技术分析

Cordova中的Android错误:请安装Android目标:” android-x”

当你收到致命错误”请安装Android目标:”时, 运行cordova或ionic平台的任何编译命令, 例如:

ionic run android --device
#or
ionic run android --emulator
#or
cordova run android --device
#or 
cordova build android --release

你将收到该消息, 这是因为你的计算机没有合适的SDK来构建你的应用程序。要解决此问题, 请打开SDKManager(位于android sdk安装路径[SDK Manager.exe]中)。

图片

检查项目的targetSdkVersion是否与计算机上已安装的一个sdk匹配(建议你仅安装构建所需的sdk, 一切将正常运行)。检查你在android清单中需要的版本, 它通常位于yourprojectpath \ platforms \ android中(或简单地安装消息中说的sdknumber)。

<uses-sdk android:minSdkVersion="14" android:targetSdkVersion="23" />

注意 :

即使你的目标是” 16″(对应于android 4.1.2), 但问题仍然没有解决, 只需重新启动node.js控制台, 将其打开并重试即可。如果问题仍然存在, 并且你已经安装了所需的SDK, 请重新启动计算机, 然后再试一次即可解决。

赞(0) 打赏
未经允许不得转载:srcmini » Cordova中的Android错误:请安装Android目标:” android-x”
分享到: 更多 (0)

评论 抢沙发

评论前必须登录!

 

觉得文章有用就打赏一下文章作者

微信扫一扫打赏